[LAU] Le Puzzle du Batteur - The Drummer's 'G'igsaw: GNU Bash + GNU sed replace gvim

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: <linux-audio-user@...>
Date: Wednesday, August 11, 2010 - 9:07 am

Le Puzzle du Batteur - The Drummer's 'G'igsaw

*****

Polymetric editor for Drums and Percussions based on Lilypond + GUI for
randomization. (midi timing and/or volume)

******

PACKAGES

You have to install:
GNU Lilypond >= 2.12.0
http://lilypond.org/web/install/

midicomp 0.0.4
http://midicomp.opensrc.org/midicomp-0.0.4.tar.gz
(compile in /usr/local/midicomp...
and move midicomp.bin in /usr/local/bin

Python 2.6.x with Tk option activated.
Already in your Linux distribution.

GNU Bash and GNU sed 4.2
by default in your Linux distribution.

As default midi config I use Timidity++ 2.13.2 with eawpatches.

******

INSTALLATION

Untar the archive. (tar jxvf ....)
In your terminal go to your Drummer-s-Gigsaw's repertory.
cd /home/....../Drummer-s-Gigsaw
and run the bash script:
sh INSTALL.sh
You are done.

******

* In this new version you no longer need to gvim.
Thus you can use your preferred text editor or even a dedicated editor
like Frescobaldi or Lilypondtool...

* Now you can write all notes values, from whole note (1) up to
* one-hundred-and-twenty-eighth note (128) and even dotted values.

* The manual is updated. (translated in my terrible English)

* Le Puzzle du Batteur/The Drummer's 'G'igsaw is under GPLv3 or +

******

This new version at:

http://philippe.hezaine.free.fr/spip.php?article46

Have fun.

Phil.
_______________________________________________
Linux-audio-user mailing list
Linux-audio-user@lists.linuxaudio.org
http://lists.linuxaudio.org/listinfo/linux-audio-user

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[LAU] Le Puzzle du Batteur - The Drummer's 'G'igsaw: GNU Bas..., Phil Hézaine, (Wed Aug 11, 9:07 am)